%global pypi_name pyasn1
%global modules_version 0.2.8
%global commitId_pyasn1 70c1bbde72f8b53f82ed1a7e00cb98fe51c1455f
%global commitId_pyasn1_modules 87e78d03b7b7f9f35afdf7fe85fe55410e5be4ab

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.4.8
Release:        1%{?dist}
Summary:        ASN.1 tools for Python

License:        BSD
Source0:        python-pyasn1-70c1bbde72f8b53f82ed1a7e00cb98fe51c1455f.tar.gz
Source1:        python-pyasn1-modules-87e78d03b7b7f9f35afdf7fe85fe55410e5be4ab.tar.gz
URL:            https://github.com/etingof/pyasn1.git
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
This is an implementation of ASN.1 types and codecs in the Python programming
language.


%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        ASN.1 tools for Python
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
This is an implementation of ASN.1 types and codecs in the Python programming
language.


%package -n python%{python3_pkgversion}-%{pypi_name}-modules
Summary:    Modules for pyasn1
Requires:   python%{python3_pkgversion}-%{pypi_name} >= %{version}-%{release}
%{?python_provide:%python_provide python%{python3_pkgversion}-modules}

%description -n python%{python3_pkgversion}-%{pypi_name}-modules
ASN.1 types modules for python3-pyasn1.

%prep
%setup -n python-%{pypi_name}-%{commitId_pyasn1} -q -b1

%build
%py3_build

pushd ../python-%{pypi_name}-modules-%{commitId_pyasn1_modules}
%py3_build
popd

%install
%py3_install

pushd ../python-%{pypi_name}-modules-%{commitId_pyasn1_modules}

%py3_install
popd

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-*.egg-info/

%files -n python%{python3_pkgversion}-%{pypi_name}-modules
%{python3_sitelib}/%{pypi_name}_modules/
%{python3_sitelib}/%{pypi_name}_modules-%{modules_version}-*.egg-info/

%changelog
* Fri Mar 4 2022 James Marshall <jamarsha@redhat.com> - 0.4.8-1
- Initial commit.
